commit:     13010369d891bf6a06544ad797988416cdef7fcd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 26 12:10:32 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct 26 12:19:20 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13010369

dev-python/meson-python: Bump to 0.15.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/meson-python/Manifest                   |  1 +
 dev-python/meson-python/meson-python-0.15.0.ebuild | 66 ++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/meson-python/Manifest b/dev-python/meson-python/Manifest
index 33f179cd56d0..f7e071beb3c1 100644
--- a/dev-python/meson-python/Manifest
+++ b/dev-python/meson-python/Manifest
@@ -1 +1,2 @@
 DIST meson-python-0.14.0.gh.tar.gz 72523 BLAKE2B 
d0fd66dee8a5efd73e617033aec3f14eb66affe72cd84c30a740820f5a0c34a4ae4ffd31e1df26312513b312940f62af436b9870216ee93d7543b4f02dec6637
 SHA512 
f40963a9c2bca8edf0f5651f9f4f1fab8df89cca715dd8dc0dec11ac53a591ee19d2d06edead917f15382410a51a37cd4efcee2c52696eb10a546b080bac2ad8
+DIST meson-python-0.15.0.gh.tar.gz 73063 BLAKE2B 
280c01b08fb8264d268797d199b59f7d02cac88e49333de4a38f9e22a1e724586b7ffcddc4e9a411c0d660560892134cb742136334aad8caacd9db37580fce8f
 SHA512 
f1fce89bb0a3d279b9900c4ecec78e5f24da92d72f64ebf6c27648b4201a75a65204c3fac08aaa3e8d70dbeef245c3235e39994c7c0b9cba27c0df528211c7f7

diff --git a/dev-python/meson-python/meson-python-0.15.0.ebuild 
b/dev-python/meson-python/meson-python-0.15.0.ebuild
new file mode 100644
index 000000000000..0ff76a5dc1a6
--- /dev/null
+++ b/dev-python/meson-python/meson-python-0.15.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Meson PEP 517 Python build backend"
+HOMEPAGE="
+       https://pypi.org/project/meson-python/
+       https://github.com/mesonbuild/meson-python/
+"
+SRC_URI="
+       https://github.com/mesonbuild/meson-python/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+       >=dev-python/pyproject-metadata-0.7.1[${PYTHON_USEDEP}]
+       >=dev-util/meson-0.63.0[${PYTHON_USEDEP}]
+       !kernel_Darwin? ( dev-util/patchelf )
+       $(python_gen_cond_dep '
+               >=dev-python/tomli-1.0.0[${PYTHON_USEDEP}]
+       ' 3.10)
+"
+BDEPEND="
+       >=dev-python/cython-0.29.34[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # requires network access
+               tests/test_pep518.py::test_pep518
+               # requires git repo
+               # https://github.com/mesonbuild/meson-python/issues/397
+               tests/test_project.py::test_user_args
+       )
+       unset NINJA
+
+       if [[ ${EPYTHON} == pypy3 ]]; then
+               EPYTEST_DESELECT+=(
+                       # broken venv usage that copies pypy3 executable, 
making it
+                       # unable to find lib_pypy
+                       tests/test_editable.py::test_editable_install
+                       tests/test_editable.py::test_editble_reentrant
+                       tests/test_examples.py::test_spam
+                       tests/test_wheel.py::test_local_lib
+               )
+       fi
+
+       epytest
+
+       rm -rf docs/examples/spam/build/ || die # remove artifacts
+}

Reply via email to